--------------------------------------------------------------------------------
-- Create Date:   17:41:46 11/09/2012
--------------------------------------------------------------------------------
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE work.config.ALL;
 
ENTITY test_filter_peak IS
END test_filter_peak;
 
ARCHITECTURE behavior OF test_filter_peak IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT filter_transpose
    PORT(
         clk       : IN  std_logic;
         reset     : IN  std_logic;
         dowork    : IN  std_logic;
         num_ref   : IN  integer range 0 to MAX_FBGS;
         num_sen   : IN  integer range 0 to MAX_FBGS;
         init      : IN  std_logic;
         amplitude : IN  unsigned(7 downto 0);
         adc_done  : IN  std_logic;
         peak      : OUT  std_logic_vector(11 downto 0)
        );
    END COMPONENT;
    

   --Inputs
   signal clk       : std_logic := '0';
   signal reset     : std_logic := '0';
   signal dowork    : std_logic := '1';
   signal num_ref   : integer range 0 to MAX_FBGS := 1;
   signal num_sen   : integer range 0 to MAX_FBGS := 2;
   signal init      : std_logic := '1';
   signal amplitude : unsigned(7 downto 0) := (others => '0');
   signal adc_done  : std_logic := '0';

 	--Outputs
   signal peak : std_logic_vector(11 downto 0);

   -- Clock period definitions
   constant clk_period : time := 10 ns;
 
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: filter_transpose PORT MAP (
          clk => clk,
          reset => reset,
          dowork => dowork,
          num_ref => num_ref,
          num_sen => num_sen,
          init => init,
          amplitude => amplitude,
          adc_done => adc_done,
          peak => peak
        );

   -- Clock process definitions
   clk_process :process
   begin
		clk <= '0';
		wait for clk_period/2;
		clk <= '1';
		wait for clk_period/2;
   end process;
   
   adc_done_process :process
   begin
        adc_done <= '1';
		wait for clk_period;
        adc_done <= '0';
		wait for clk_period*23;
   end process;
   
   inp_proc: process
   begin
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(18, 8); wait for clk_period*24;
    amplitude <= to_unsigned(18, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(20, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(22, 8); wait for clk_period*24;
    amplitude <= to_unsigned(25, 8); wait for clk_period*24;
    amplitude <= to_unsigned(26, 8); wait for clk_period*24;
    amplitude <= to_unsigned(26, 8); wait for clk_period*24;
    amplitude <= to_unsigned(29, 8); wait for clk_period*24;
    amplitude <= to_unsigned(31, 8); wait for clk_period*24;
    amplitude <= to_unsigned(33, 8); wait for clk_period*24;
    amplitude <= to_unsigned(35, 8); wait for clk_period*24;
    amplitude <= to_unsigned(37, 8); wait for clk_period*24;
    amplitude <= to_unsigned(39, 8); wait for clk_period*24;
    amplitude <= to_unsigned(42, 8); wait for clk_period*24;
    amplitude <= to_unsigned(44, 8); wait for clk_period*24;
    amplitude <= to_unsigned(49, 8); wait for clk_period*24;
    amplitude <= to_unsigned(51, 8); wait for clk_period*24;
    amplitude <= to_unsigned(55, 8); wait for clk_period*24;
    amplitude <= to_unsigned(59, 8); wait for clk_period*24;
    amplitude <= to_unsigned(62, 8); wait for clk_period*24;
    amplitude <= to_unsigned(66, 8); wait for clk_period*24;
    amplitude <= to_unsigned(72, 8); wait for clk_period*24;
    amplitude <= to_unsigned(75, 8); wait for clk_period*24;
    amplitude <= to_unsigned(81, 8); wait for clk_period*24;
    amplitude <= to_unsigned(84, 8); wait for clk_period*24;
    amplitude <= to_unsigned(90, 8); wait for clk_period*24;
    amplitude <= to_unsigned(96, 8); wait for clk_period*24;
    amplitude <= to_unsigned(101, 8); wait for clk_period*24;
    amplitude <= to_unsigned(105, 8); wait for clk_period*24;
    amplitude <= to_unsigned(111, 8); wait for clk_period*24;
    amplitude <= to_unsigned(117, 8); wait for clk_period*24;
    amplitude <= to_unsigned(123, 8); wait for clk_period*24;
    amplitude <= to_unsigned(129, 8); wait for clk_period*24;
    amplitude <= to_unsigned(135, 8); wait for clk_period*24;
    amplitude <= to_unsigned(141, 8); wait for clk_period*24;
    amplitude <= to_unsigned(146, 8); wait for clk_period*24;
    amplitude <= to_unsigned(152, 8); wait for clk_period*24;
    amplitude <= to_unsigned(156, 8); wait for clk_period*24;
    amplitude <= to_unsigned(162, 8); wait for clk_period*24;
    amplitude <= to_unsigned(167, 8); wait for clk_period*24;
    amplitude <= to_unsigned(173, 8); wait for clk_period*24;
    amplitude <= to_unsigned(176, 8); wait for clk_period*24;
    amplitude <= to_unsigned(181, 8); wait for clk_period*24;
    amplitude <= to_unsigned(186, 8); wait for clk_period*24;
    amplitude <= to_unsigned(190, 8); wait for clk_period*24;
    amplitude <= to_unsigned(193, 8); wait for clk_period*24;
    amplitude <= to_unsigned(199, 8); wait for clk_period*24;
    amplitude <= to_unsigned(201, 8); wait for clk_period*24;
    amplitude <= to_unsigned(203, 8); wait for clk_period*24;
    amplitude <= to_unsigned(206, 8); wait for clk_period*24;
    amplitude <= to_unsigned(208, 8); wait for clk_period*24;
    amplitude <= to_unsigned(209, 8); wait for clk_period*24;
    amplitude <= to_unsigned(211, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(211, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(209, 8); wait for clk_period*24;
    amplitude <= to_unsigned(208, 8); wait for clk_period*24;
    amplitude <= to_unsigned(205, 8); wait for clk_period*24;
    amplitude <= to_unsigned(204, 8); wait for clk_period*24;
    amplitude <= to_unsigned(200, 8); wait for clk_period*24;
    amplitude <= to_unsigned(199, 8); wait for clk_period*24;
    amplitude <= to_unsigned(194, 8); wait for clk_period*24;
    amplitude <= to_unsigned(190, 8); wait for clk_period*24;
    amplitude <= to_unsigned(187, 8); wait for clk_period*24;
    amplitude <= to_unsigned(183, 8); wait for clk_period*24;
    amplitude <= to_unsigned(178, 8); wait for clk_period*24;
    amplitude <= to_unsigned(173, 8); wait for clk_period*24;
    amplitude <= to_unsigned(167, 8); wait for clk_period*24;
    amplitude <= to_unsigned(162, 8); wait for clk_period*24;
    amplitude <= to_unsigned(157, 8); wait for clk_period*24;
    amplitude <= to_unsigned(151, 8); wait for clk_period*24;
    amplitude <= to_unsigned(145, 8); wait for clk_period*24;
    amplitude <= to_unsigned(140, 8); wait for clk_period*24;
    amplitude <= to_unsigned(135, 8); wait for clk_period*24;
    amplitude <= to_unsigned(128, 8); wait for clk_period*24;
    amplitude <= to_unsigned(123, 8); wait for clk_period*24;
    amplitude <= to_unsigned(117, 8); wait for clk_period*24;
    amplitude <= to_unsigned(112, 8); wait for clk_period*24;
    amplitude <= to_unsigned(106, 8); wait for clk_period*24;
    amplitude <= to_unsigned(101, 8); wait for clk_period*24;
    amplitude <= to_unsigned(94, 8); wait for clk_period*24;
    amplitude <= to_unsigned(89, 8); wait for clk_period*24;
    amplitude <= to_unsigned(85, 8); wait for clk_period*24;
    amplitude <= to_unsigned(80, 8); wait for clk_period*24;
    amplitude <= to_unsigned(76, 8); wait for clk_period*24;
    amplitude <= to_unsigned(71, 8); wait for clk_period*24;
    amplitude <= to_unsigned(67, 8); wait for clk_period*24;
    amplitude <= to_unsigned(62, 8); wait for clk_period*24;
    amplitude <= to_unsigned(59, 8); wait for clk_period*24;
    amplitude <= to_unsigned(55, 8); wait for clk_period*24;
    amplitude <= to_unsigned(52, 8); wait for clk_period*24;
    amplitude <= to_unsigned(49, 8); wait for clk_period*24;
    amplitude <= to_unsigned(45, 8); wait for clk_period*24;
    amplitude <= to_unsigned(42, 8); wait for clk_period*24;
    amplitude <= to_unsigned(40, 8); wait for clk_period*24;
    amplitude <= to_unsigned(37, 8); wait for clk_period*24;
    amplitude <= to_unsigned(34, 8); wait for clk_period*24;
    amplitude <= to_unsigned(33, 8); wait for clk_period*24;
    amplitude <= to_unsigned(31, 8); wait for clk_period*24;
    amplitude <= to_unsigned(29, 8); wait for clk_period*24;
    amplitude <= to_unsigned(26, 8); wait for clk_period*24;
    amplitude <= to_unsigned(25, 8); wait for clk_period*24;
    amplitude <= to_unsigned(23, 8); wait for clk_period*24;
    amplitude <= to_unsigned(22, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(20, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(18, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(22, 8); wait for clk_period*24;
    amplitude <= to_unsigned(23, 8); wait for clk_period*24;
    amplitude <= to_unsigned(25, 8); wait for clk_period*24;
    amplitude <= to_unsigned(26, 8); wait for clk_period*24;
    amplitude <= to_unsigned(27, 8); wait for clk_period*24;
    amplitude <= to_unsigned(29, 8); wait for clk_period*24;
    amplitude <= to_unsigned(31, 8); wait for clk_period*24;
    amplitude <= to_unsigned(33, 8); wait for clk_period*24;
    amplitude <= to_unsigned(35, 8); wait for clk_period*24;
    amplitude <= to_unsigned(37, 8); wait for clk_period*24;
    amplitude <= to_unsigned(39, 8); wait for clk_period*24;
    amplitude <= to_unsigned(43, 8); wait for clk_period*24;
    amplitude <= to_unsigned(44, 8); wait for clk_period*24;
    amplitude <= to_unsigned(49, 8); wait for clk_period*24;
    amplitude <= to_unsigned(52, 8); wait for clk_period*24;
    amplitude <= to_unsigned(55, 8); wait for clk_period*24;
    amplitude <= to_unsigned(60, 8); wait for clk_period*24;
    amplitude <= to_unsigned(62, 8); wait for clk_period*24;
    amplitude <= to_unsigned(66, 8); wait for clk_period*24;
    amplitude <= to_unsigned(71, 8); wait for clk_period*24;
    amplitude <= to_unsigned(75, 8); wait for clk_period*24;
    amplitude <= to_unsigned(80, 8); wait for clk_period*24;
    amplitude <= to_unsigned(84, 8); wait for clk_period*24;
    amplitude <= to_unsigned(90, 8); wait for clk_period*24;
    amplitude <= to_unsigned(96, 8); wait for clk_period*24;
    amplitude <= to_unsigned(101, 8); wait for clk_period*24;
    amplitude <= to_unsigned(107, 8); wait for clk_period*24;
    amplitude <= to_unsigned(112, 8); wait for clk_period*24;
    amplitude <= to_unsigned(117, 8); wait for clk_period*24;
    amplitude <= to_unsigned(122, 8); wait for clk_period*24;
    amplitude <= to_unsigned(129, 8); wait for clk_period*24;
    amplitude <= to_unsigned(134, 8); wait for clk_period*24;
    amplitude <= to_unsigned(140, 8); wait for clk_period*24;
    amplitude <= to_unsigned(146, 8); wait for clk_period*24;
    amplitude <= to_unsigned(150, 8); wait for clk_period*24;
    amplitude <= to_unsigned(156, 8); wait for clk_period*24;
    amplitude <= to_unsigned(162, 8); wait for clk_period*24;
    amplitude <= to_unsigned(168, 8); wait for clk_period*24;
    amplitude <= to_unsigned(173, 8); wait for clk_period*24;
    amplitude <= to_unsigned(177, 8); wait for clk_period*24;
    amplitude <= to_unsigned(182, 8); wait for clk_period*24;
    amplitude <= to_unsigned(186, 8); wait for clk_period*24;
    amplitude <= to_unsigned(191, 8); wait for clk_period*24;
    amplitude <= to_unsigned(194, 8); wait for clk_period*24;
    amplitude <= to_unsigned(199, 8); wait for clk_period*24;
    amplitude <= to_unsigned(201, 8); wait for clk_period*24;
    amplitude <= to_unsigned(204, 8); wait for clk_period*24;
    amplitude <= to_unsigned(207, 8); wait for clk_period*24;
    amplitude <= to_unsigned(208, 8); wait for clk_period*24;
    amplitude <= to_unsigned(209, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(212, 8); wait for clk_period*24;
    amplitude <= to_unsigned(211, 8); wait for clk_period*24;
    amplitude <= to_unsigned(210, 8); wait for clk_period*24;
    amplitude <= to_unsigned(210, 8); wait for clk_period*24;
    amplitude <= to_unsigned(207, 8); wait for clk_period*24;
    amplitude <= to_unsigned(205, 8); wait for clk_period*24;
    amplitude <= to_unsigned(203, 8); wait for clk_period*24;
    amplitude <= to_unsigned(201, 8); wait for clk_period*24;
    amplitude <= to_unsigned(198, 8); wait for clk_period*24;
    amplitude <= to_unsigned(195, 8); wait for clk_period*24;
    amplitude <= to_unsigned(191, 8); wait for clk_period*24;
    amplitude <= to_unsigned(186, 8); wait for clk_period*24;
    amplitude <= to_unsigned(182, 8); wait for clk_period*24;
    amplitude <= to_unsigned(178, 8); wait for clk_period*24;
    amplitude <= to_unsigned(172, 8); wait for clk_period*24;
    amplitude <= to_unsigned(168, 8); wait for clk_period*24;
    amplitude <= to_unsigned(163, 8); wait for clk_period*24;
    amplitude <= to_unsigned(157, 8); wait for clk_period*24;
    amplitude <= to_unsigned(150, 8); wait for clk_period*24;
    amplitude <= to_unsigned(145, 8); wait for clk_period*24;
    amplitude <= to_unsigned(141, 8); wait for clk_period*24;
    amplitude <= to_unsigned(135, 8); wait for clk_period*24;
    amplitude <= to_unsigned(128, 8); wait for clk_period*24;
    amplitude <= to_unsigned(123, 8); wait for clk_period*24;
    amplitude <= to_unsigned(117, 8); wait for clk_period*24;
    amplitude <= to_unsigned(111, 8); wait for clk_period*24;
    amplitude <= to_unsigned(106, 8); wait for clk_period*24;
    amplitude <= to_unsigned(99, 8); wait for clk_period*24;
    amplitude <= to_unsigned(95, 8); wait for clk_period*24;
    amplitude <= to_unsigned(90, 8); wait for clk_period*24;
    amplitude <= to_unsigned(86, 8); wait for clk_period*24;
    amplitude <= to_unsigned(79, 8); wait for clk_period*24;
    amplitude <= to_unsigned(76, 8); wait for clk_period*24;
    amplitude <= to_unsigned(72, 8); wait for clk_period*24;
    amplitude <= to_unsigned(67, 8); wait for clk_period*24;
    amplitude <= to_unsigned(63, 8); wait for clk_period*24;
    amplitude <= to_unsigned(60, 8); wait for clk_period*24;
    amplitude <= to_unsigned(56, 8); wait for clk_period*24;
    amplitude <= to_unsigned(51, 8); wait for clk_period*24;
    amplitude <= to_unsigned(48, 8); wait for clk_period*24;
    amplitude <= to_unsigned(46, 8); wait for clk_period*24;
    amplitude <= to_unsigned(42, 8); wait for clk_period*24;
    amplitude <= to_unsigned(40, 8); wait for clk_period*24;
    amplitude <= to_unsigned(37, 8); wait for clk_period*24;
    amplitude <= to_unsigned(34, 8); wait for clk_period*24;
    amplitude <= to_unsigned(32, 8); wait for clk_period*24;
    amplitude <= to_unsigned(30, 8); wait for clk_period*24;
    amplitude <= to_unsigned(30, 8); wait for clk_period*24;
    amplitude <= to_unsigned(27, 8); wait for clk_period*24;
    amplitude <= to_unsigned(25, 8); wait for clk_period*24;
    amplitude <= to_unsigned(23, 8); wait for clk_period*24;
    amplitude <= to_unsigned(23, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(21, 8); wait for clk_period*24;
    amplitude <= to_unsigned(19, 8); wait for clk_period*24;
    amplitude <= to_unsigned(18, 8); wait for clk_period*24;
    amplitude <= to_unsigned(17, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(16, 8); wait for clk_period*24;
    amplitude <= to_unsigned(15, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(14, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(13, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(11, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
    amplitude <= to_unsigned(12, 8); wait for clk_period*24;
   end process;
   
   stim_proc: process
   begin		
      reset <= '1';
      wait for clk_period;
      reset <= '0';
      wait for clk_period;
      wait;
   end process;

END;
